Bug 560669 - dpi setting for second screen (:0.1) is taken from first screen (:0.0)
dpi setting for second screen (:0.1) is taken from first screen (:0.0)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-01 10:11 EST by Jean-Jacques Sarton
Modified: 2010-03-28 17:41 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-28 17:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jean-Jacques Sarton 2010-02-01 10:11:07 EST
Description of problem:
If Konquerors is started on an external monitor with an other dpi as for the first display, the dpi value seem to be taken from the first screen.
The X11 function work correctly, xwininfo report the correct size for (px and mm)
for the attached monitors.

Version-Release number of selected component (if applicable):

F12: konqueror 4.3.4

How reproducible:

every times

Steps to Reproduce:
1. configure a system with 2 screen (:0.0 and :0.1)
2. attach a second display with a very different dpi as the main display
3. call konqueror.
  
Actual results:
om my system konqueror show me that the dpi is 132 dpi (first screen) and not 96 dpi as expected for the second screen.

Expected results:

correct handling

Additional info:
The following html code was used
<html>
 <head>
 </head>
 <body>
  <!-- Scale 
      Display DPI: 72   142px
                   96   189px dx 47
		   120  236px dx 47
		   132  260px dx 24
		   160  315px dx 55
   -->
  <div style="font-size:10px;width:142px;text-align:right;float:left;">72</div>
  <div style="font-size:10px;width:47px;text-align:right;float:left;">96</div>
  <div style="font-size:10px;width:47px;text-align:right;float:left;">120</div>
  <div style="font-size:10px;width:24px;text-align:right;float:left;">132</div>
  <div style="font-size:10px;width:55px;text-align:right;float:left;">160</div>
  <div style="clear:both;height:3px;"></div>

  <div style="height:5px;width:141px;border-right: solid 1px black;float:left;"></div>
  <div style="height:5px;width:46px;border-right: solid 1px black;float:left;"></div>
  <div style="height:5px;width:46px;border-right: solid 1px black;float:left;"></div>
  <div style="height:5px;width:23px;border-right: solid 1px black;float:left;"></div>
  <div style="height:5px;width:54px;border-right: solid 1px black;float:left;"></div>
  <div style="clear:both;height:3px;"></div>
  <div style="height:1px;width:5cm;background-color:black;" id="line"></div>
  </body>
</html>
Comment 1 Jean-Jacques Sarton 2010-02-01 10:28:45 EST
This behaviour seem to be common for all kde applications, the menu textes are always to big (kmail, konsole. kdf, ...).
Comment 2 Kevin Kofler 2010-02-01 10:30:38 EST
Looks like a Qt bug.
Comment 3 Steven M. Parrish 2010-02-18 18:27:10 EST
Thank you for taking the time to report this issue to us.  This is an issue which is best addressed by the upstream developers.

Please file a report at http://bugreports.qt.nokia.com/secure/Dashboard.jspa , and when done add the upstream report info to this report.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Jean-Jacques Sarton 2010-02-19 01:34:07 EST
The behaviour is probably not a problem within QT but within KDE. The dpi setting for the screens is taken from a centralized database which provide only one value used for all attached screens. The correct physical dpi can be got trough X11 calls and this is not the case.
Comment 5 Steven M. Parrish 2010-03-28 17:41:25 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.